## SPEC file for Perl module Time::Format

%define version    1.02
%define release    alt1

Name: perl-Time-Format
Version: %version
Release: %release

Summary: Perl module for easy-to-use date/time formatting
Summary(ru_RU.UTF-8): модуль Perl для простого форматирования дат и времени

License: GPL or Artistic
Group: Development/Perl

%define real_name Time-Format
URL: http://search.cpan.org/~roode/Time-Format/

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source: http://search.cpan.org/CPAN/authors/id/R/RO/ROODE/%real_name-%version.tar.gz

BuildArch: noarch

AutoReqProv: perl, yes
BuildPreReq: perl-devel, perl-Date-Manip, perl-DateTime
BuildPreReq: perl-DateTime-TimeZone, perl-Time-Format_XS

%description
Perl module Time::Format provides a very easy way to format dates and times.
The formatting functions  are tied  to hash variables,  so they can  be used 
inside strings as well as in ordinary expressions. The formatting codes used
are meant to be easy to remember, use, and read. 

Time::Format can also format DateTime objects, and strings created with 
Date::Manip.

Time::Format could use a companion module Time::Format_XS for significant 
speed improvement.


%description -l ru_RU.UTF-8
Модуль  Perl Time::Format предоставляет очень простой путь для форматирования
значений  дат и времени.  Используемый  в модуле  объектный подход  позволяет 
вызывать  функции  форматирования  как в  обычных  выражениях,  так и  внутри
переменных. Коды форматирования выбирались таким образом, чтобы быть простыми
для запоминания, использования и чтения.

Модуль Time::Format может форматировать объекты DateTime и строки, 
создаваемые Date::Manip.

При установке дополнительного модуля Time::Format_XS  Time::Format может 
использовать его для значительного повышения быстродействия выполняемых 
операций.


%prep
%setup -q -n %real_name-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README quickref.ps quickref.txt
%exclude %perl_vendor_man3dir/*
%exclude /.perl.req
%perl_vendor_privlib/Time/Format*


%changelog
* Thu Mar 15 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.02-alt1
- Initial build for ALT Linux Sisyphus

* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.02-alt0
- Initial build
